loading...
POST
/v2/Report/Daily

Daily returns a detailed transaction-level report of all transactions processed on the terminal for the current batch. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/Report/Daily" \  -H "Content-Type: application/json" \  -d '{    "Tpn": "",    "RegisterId": "",    "Authkey": "",    "SPInProxyTimeout": null  }'

{
  "DailyDetails": [
    {
      "MerchantNumber": null,
      "Application": "",
      "TotalAmount": null,
      "TransactionsDailyReports": [
        {
          "Number": null,
          "ReferenceId": "",
          "CardType": "",
          "TransactionType": "",
          "Last4": "",
          "Amount": null
        }
      ]
    }
  ],
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}

{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}